Skip to main content
GET
Get a Workflow Version

Path Parameters

app_id
string
required

The ID of the app

workflow_id
string
required

The ID of the workflow

version_id_or_version_number
string
required

The ID or version number of the workflow version

Response

200 - application/json

The requested workflow version.

Information about the workflow version

id
string
required

Unique identifier for the workflow version

app_id
string
required

App id where the workflow version belongs to

workflow_id
string
required

Workflow id where the version belongs to

description
string | null
required

Description of the workflow at the time this version was deployed

version
number
required

Version number

notes
string | null
required

Release notes

created_at
string<date> | null
required

Date when the version was deployed

key
string
required

Unique key for the workflow version

input
object
required

Input definition of the workflow

input_default
object | null
required

Default config input values of the workflow

input_options
object | null
required

Input options of the workflow

steps
object[]
required

Steps of the workflow at the time this version was deployed

A step that displays as a note on the canvas

rollback_version
number

Version number from which this version was rolled back

created_by
object

User who deployed the version